%define name    gcstar
%define version 1.4.2
%define release %mkrel 1
%define iconname %{name}.png

Summary:    A collection manager 
Name:       %{name}
Version:    %{version}
Release:    %{release}
License:    GPLv2+
Group:      Databases
URL:        https://gna.org/projects/gcstar/
Source:     http://download.gna.org/gcstar/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-root
Requires:   gtk2
BuildRequires: desktop-file-utils
BuildArch:  noarch 
Obsoletes:  gcfilms

%description
Gstar is an application that can manage multiple collections.
An expansion on gcfilms this is an alpha release but will be developed
as it's successor.
Currently Gstar only supports films.

%prep
%setup -q -n %{name}
 
%install
%{__mkdir_p} %{buildroot}%{_prefix}
%{__install} -d %{buildroot}%{_bindir}
%{__install} bin/gcstar %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_prefix}/lib
%{__cp} -a lib/gcstar %{buildroot}%{_prefix}/lib
%{__install} -d %{buildroot}%{_datadir}
%{__cp} -a share/* %{buildroot}%{_datadir} 
%{__install} -d %{buildroot}%{_mandir}/man1
%{__install} man/%name.1 %{buildroot}%{_mandir}/man1/%name.1

desktop-file-install --vendor='' \
	--dir %buildroot%_datadir/applications \
	--add-category='Office;AudioVideo;GTK' \
	%buildroot%_datadir/applications/*.desktop

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
%{__cp} share/gcstar/icons/%{name}_48x48.png %{buildroot}%{_liconsdir}/%{iconname}
%{__cp} share/gcstar/icons/%{name}_32x32.png %{buildroot}%{_iconsdir}/%{iconname} 
%{__cp} share/gcstar/icons/%{name}_16x16.png %{buildroot}%{_miconsdir}/%{iconname} 

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root) 
%doc README CHANGELOG
%{_bindir}/%{name}
%{_prefix}/lib/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 
%{_mandir}/man1/%{name}*


%changelog
* Fri Aug 29 2008 Frederik Himpe <fhimpe@mandriva.org> 1.4.2-1mdv2009.0
+ Revision: 277484
- update to new version 1.4.2

* Mon Jul 21 2008 Funda Wang <fundawang@mandriva.org> 1.4.1-1mdv2009.0
+ Revision: 239272
- update to new version 1.4.1

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 30 2008 Funda Wang <fundawang@mandriva.org> 1.4.0-1mdv2009.0
+ Revision: 213287
- New version 1.4.0

* Sat Mar 01 2008 Olivier Thauvin <nanardon@mandriva.org> 1.3.2-3mdv2008.1
+ Revision: 177050
- s/gcfilm/gcfilms/ in obsoletes

* Sat Mar 01 2008 Olivier Thauvin <nanardon@mandriva.org> 1.3.2-2mdv2008.1
+ Revision: 177037
- obsoletes gcfilm

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 1.3.2-1mdv2008.1
+ Revision: 158293
- New version 1.3.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fundawang@mandriva.org> 1.3.1-3mdv2008.1
+ Revision: 120659
- really fix desktop file

* Sat Dec 15 2007 Funda Wang <fundawang@mandriva.org> 1.3.1-2mdv2008.1
+ Revision: 120313
- fix menu category (bug#36146)

* Tue Dec 11 2007 Funda Wang <fundawang@mandriva.org> 1.3.1-1mdv2008.1
+ Revision: 117321
- update to new version 1.3.1

* Sun Nov 25 2007 Funda Wang <fundawang@mandriva.org> 1.3.0-1mdv2008.1
+ Revision: 111903
- New version 1.3.0

* Sat Oct 27 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2.2-1mdv2008.1
+ Revision: 102694
- 1.2.2

* Tue Aug 14 2007 Olivier Blin <oblin@mandriva.com> 1.1.1-2mdv2008.0
+ Revision: 63219
- install in _prefix/lib, it's noarch (#28907, thanks to Nicolas Chipaux for the additional report)


* Fri Mar 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.1.1-1mdv2007.0
+ Revision: 131617
- 1.1.1

* Sat Dec 30 2006 Olivier Thauvin <nanardon@mandriva.org> 1.0.0-1mdv2007.1
+ Revision: 102827
- 1.0.0

* Sat Nov 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.0-2mdv2007.1
+ Revision: 85414
- buildrequires
- 0.5.0
- push install into spec install section

* Mon Aug 07 2006 Olivier Thauvin <nanardon@mandriva.org> 0.3-3mdv2007.0
+ Revision: 53555
- rebuild
- Import gcstar

* Sun Jul 30 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3-2mdv2007.0
- Synce binary and src.rpm

* Sat Jul 29 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3-1mdv2007.0
- 0.3
- xdg

* Tue May 30 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1-1mdv2007.0
- initial release

